Main Page Modules Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# FLAC::Decoder::Stream Class Reference
[FLAC++/decoder.h: stream decoder class]

`#include <decoder.h>`

List of all members.

## Public Methods
| Stream ()
virtual | ~Stream ()
bool | is_valid () const
| operator bool () const
bool | set_metadata_respond (::FLAC__MetadataType type)
bool | set_metadata_respond_application (const FLAC__byte id[4])
bool | set_metadata_respond_all ()
bool | set_metadata_ignore (::FLAC__MetadataType type)
bool | set_metadata_ignore_application (const FLAC__byte id[4])
bool | set_metadata_ignore_all ()
State | get_state () const
unsigned | get_channels () const
::FLAC__ChannelAssignment | get_channel_assignment () const
unsigned | get_bits_per_sample () const
unsigned | get_sample_rate () const
unsigned | get_blocksize () const
State | init ()
void | finish ()
bool | flush ()
bool | reset ()
bool | process_single ()
bool | process_until_end_of_metadata ()
bool | process_until_end_of_stream ()
bool | skip_single_frame ()
## Protected Methods
virtual::FLAC__StreamDecoderReadStatus | read_callback (FLAC__byte buffer[], unsigned *bytes)=0
virtual::FLAC__StreamDecoderWriteStatus | write_callback (const::FLAC__Frame *frame, const FLAC__int32 *const buffer[])=0
virtual void | metadata_callback (const::FLAC__StreamMetadata *metadata)=0
virtual void | error_callback (::FLAC__StreamDecoderErrorStatus status)=0
## Protected Attributes
::FLAC__StreamDecoder * | decoder_

## Detailed Description

This class wraps the FLAC__StreamDecoder.

## Member Function Documentation

State FLAC::Decoder::Stream::init | ( |  | ) |

| Initialize the instance; as with the C interface, init() should be called after construction and 'set' calls but before any of the 'process' calls.

The documentation for this class was generated from the following file:

- include/FLAC++/decoder.h